Skip to content

Partially updates a donor with the specified ID.

Request

This method will patch an existing donor with the specified ID, using the HTTP PATCH specification.

Security
knox-authorizer
Path
tenantIdstringrequired

The id of the tenant being accessed.

idstringrequired

The ID of the donor to patch.

Bodyapplication/jsonrequired

The patch directives conforming to RFC 6902.

Array [
opstring(Op)required

The operation

Enum:"add""copy""move""remove""replace""test"
pathstring(Path)required

The JSON path

valuestring(Value)

The updated value

]
curl -i -X PATCH \
  'https://docs.api.rhythmsoftware.com/_mock/apis/fundraising/fundraising-v1/donors/{tenantId}/{id}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '[
    {
      "op": "add",
      "path": "string",
      "value": "string"
    }
  ]'

Responses

The donor was patched successfully.

Headers
Access-Control-Allow-Headersstring
Access-Control-Allow-Methodsstring
Access-Control-Allow-Originstring
Bodyapplication/json
amount_of_largest_giftnumber, (float)(Amount Of Largest Gift)
anonymousboolean(Anonymous)

Set if this donor has requested anonymity

citystring(City)

The member city

contact_idstring(Contact)required

The contact for this donor

countrystring(Country)

The member country

custom_field_valuesArray of objects(Custom Field Values)
date_of_last_giftstring(Date Of Last Gift)

The date the last gift was given

donor_club_historyArray of objects
donor_club_idstring(Donor Club)

The donor level

email_addressstring(Email Address)

The member's email address

first_namestring(First Name)

The member's first name

idstring(ID)^[\w-|:]+$required

The unique, string identifier of this donor

job_titlestring(Job Title)

The member job title

last_namestring(Last Name)

The member's last name

namestring(Name)required

The member's name

notesstring(Notes)

Notes on the donor

organization_idstring(Organization)required

The organization for this donor

pledge_balancenumber, (float)(Pledge Balance)

Outstanding balance on pledges

statestring(State)

The state

sys_bulk_load_atstring(Sys Bulk Load At)

If this record was loaded via bulk, the timestamp when the record was processed

sys_bulk_load_idstring(Sys Bulk Load)

If this record was loaded via bulk, the ID of the bulk load process

sys_bulk_load_pkstring(Sys Bulk Load Pk)

If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key

sys_bulk_load_record_nonumber, (float)(Sys Bulk Load Record No)

If this record was loaded via bulk, the record number in the source file

sys_bulk_load_source_filestring(Sys Bulk Load Source File)

If this record was loaded via bulk, the source file

sys_calculated_field_errorstring(Sys Calculated Field Error)

The error associated with the calculated field

sys_calculated_field_errorsArray of objects
sys_configuration_snapshot_idstring(Sys Configuration Snapshot)

If a snapshot was restored/applies to this record, the ID of the snapshot

sys_created_atstring, (date-time)(Sys Created At)required

The date/time that this record was created, expressed in ISO-8601 date format

sys_created_by_idstring(Sys Created By)required

The ID of the user that created this record

sys_deleted_by_idstring(Sys Deleted By)

The ID of the user that deleted (or last tried to delete) this object

sys_directivestring(Sys Directive)

Means for passing directive information into an object processing logic

sys_external_idstring(Sys External)

The ID that a record has from an external system or data import

sys_has_files_in_s3boolean(Sys Has Files In S3)

If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion

sys_last_bulk_data_operation_idstring(Sys Last Bulk Data Operation)

If this record was last touched by a bulk data operation, the ID of that operation

sys_last_bulk_data_operation_sys_versionstring(Sys Last Bulk Data Operation Sys Version)

If this record was last touched by a bulk data operation, the sys_version at the time of that operation

sys_last_modified_atstring, (date-time)(Sys Last Modified At)required

The date/time that this record record was last modified, expressed in ISO-8601 date format

sys_last_modified_by_idstring(Sys Last Modified By)required

The ID of the user that last modified this record

sys_last_security_contextobject(Sys Last Security Context)

The security context of the last insert, modify, or delete performed on this item

sys_lockedboolean(Sys Locked)

If set, this record is locked and cannot be changed via the API

sys_snapshot_base_versionnumber, (float)(Sys Snapshot Base Version)

The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox

sys_versionnumber, (float)(Sys Version)

A number representing the version of this record in the database

total_amount_of_giftsnumber, (float)(Total Amount Of Gifts)

Total amount/value of gifts given

total_number_of_giftsnumber, (float)(Total Number Of Gifts)

Total # of gifts given

typestring(Type)required

The donor type

Enum:"contact""organization"
Response
{ "amount_of_largest_gift": 0.1, "anonymous": true, "city": "string", "contact_id": "string", "country": "string", "custom_field_values": [ { … } ], "date_of_last_gift": "string", "donor_club_history": [ { … } ], "donor_club_id": "string", "email_address": "string", "first_name": "string", "id": "string", "job_title": "string", "last_name": "string", "name": "string", "notes": "string", "organization_id": "string", "pledge_balance": 0.1, "state": "string", "sys_bulk_load_at": "string", "sys_bulk_load_id": "string", "sys_bulk_load_pk": "string", "sys_bulk_load_record_no": 0.1, "sys_bulk_load_source_file": "string", "sys_calculated_field_error": "string", "sys_calculated_field_errors": [ { … } ], "sys_configuration_snapshot_id": "string", "sys_created_at": "2019-08-24T14:15:22Z", "sys_created_by_id": "string", "sys_deleted_by_id": "string", "sys_directive": "string", "sys_external_id": "string", "sys_has_files_in_s3": true, "sys_last_bulk_data_operation_id": "string", "sys_last_bulk_data_operation_sys_version": "string", "sys_last_modified_at": "2019-08-24T14:15:22Z", "sys_last_modified_by_id": "string", "sys_last_security_context": {}, "sys_locked": true, "sys_snapshot_base_version": 0.1, "sys_version": 0.1, "total_amount_of_gifts": 0.1, "total_number_of_gifts": 0.1, "type": "contact" }